%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global client python-senlinclient
%global sclient senlinclient
%global executable senlin
%global with_doc 1
%if 0%{?fedora} >= 24
%global with_python3 1
%endif
%global common_desc \
This is a client library for Senlin built on the Senlin \
clustering API. It provides a Python API and \
a command-line tool (senlin).

Name:       %{client}
Version:    1.8.0
Release:    1%{?dist}
Summary:    OpenStack Senlin client
License:    ASL 2.0
URL:        http://launchpad.net/%{client}/

Source0:    http://tarballs.openstack.org/%{client}/%{client}-%{upstream_version}.tar.gz

BuildArch:  noarch


BuildRequires:  git
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python-babel
BuildRequires:  python-heatclient
BuildRequires:  python-keystoneauth1
BuildRequires:  python-mock
BuildRequires:  python-openstacksdk
BuildRequires:  python-osc-lib
BuildRequires:  python-oslo-i18n
BuildRequires:  python-oslo-log
BuildRequires:  python-oslo-serialization
BuildRequires:  python-oslo-utils
BuildRequires:  python-pbr
BuildRequires:  python-prettytable
BuildRequires:  python-requests
BuildRequires:  python-six

Requires:       python-babel >= 2.3.4
Requires:       python-heatclient >= 1.10.0
Requires:       python-keystoneauth1 >= 3.4.0
Requires:       python-openstacksdk >= 0.11.2
Requires:       python-osc-lib >= 1.10.0
Requires:       python-oslo-i18n >= 3.15.3
Requires:       python-oslo-serialization >= 2.18.0
Requires:       python-oslo-utils >= 3.33.0
Requires:       python-pbr >= 2.0.0
Requires:       python-prettytable >= 0.7.2
Requires:       python-requests
Requires:       python-six >= 1.10.0
Requires:       PyYAML >= 3.10

%description 
%{common_desc}


%package -n python-%{sclient}-tests-unit
Summary:    OpenStack senlin client unit tests
BuildRequires:  python-os-testr
BuildRequires:  python-osc-lib-tests

Requires:       python-%{sclient} = %{version}-%{release}

Requires:       python-fixtures
Requires:       python-mock
Requires:       python-oslotest
Requires:       python-stestr
Requires:       python-testtools
%if 0%{?fedora} > 0
Requires:       python-requests-mock
Requires:       python-testscenarios
Requires:       python-pep8
%else
Requires:       python-requests-mock
Requires:       python-testscenarios
Requires:       python-pep8
%endif


%description -n python-%{sclient}-tests-unit
%{common_desc}

This package contains the senlin client unit test files.


%if 0%{?with_doc}
%package -n python-%{sclient}-doc
Summary:    OpenStack senlin client documentation

BuildRequires:  python-openstackdocstheme
BuildRequires:  python-sphinx

%description -n python-%{sclient}-doc
%{common_desc}

This package contains the documentation.
%endif


%if 0%{?with_python3}
%package -n python3-%{sclient}
Summary:    OpenStack senlin client
%{?python_provide:%python_provide python3-%{sclient}}

BuildRequires:  python3-devel
BuildRequires:  python3-babel
BuildRequires:  python3-heatclient
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3-mock
BuildRequires:  python3-openstacksdk
BuildRequires:  python3-osc-lib
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-oslo-log
BuildRequires:  python3-oslo-serialization
BuildRequires:  python3-oslo-utils
BuildRequires:  python3-pbr
BuildRequires:  python3-prettytable
BuildRequires:  python3-requests
BuildRequires:  python3-six
BuildRequires:  python3-os-testr

Requires:       python3-babel >= 2.3.4
Requires:       python3-heatclient >= 1.10.0
Requires:       python3-keystoneauth1 >= 3.4.0
Requires:       python3-openstacksdk >= 0.11.2
Requires:       python3-osc-lib >= 1.10.0
Requires:       python3-oslo-i18n >= 3.15.3
Requires:       python3-oslo-serialization >= 2.18.0
Requires:       python3-oslo-utils >= 3.33.0
Requires:       python3-pbr >= 2.0.0
Requires:       python3-prettytable >= 0.7.2
Requires:       python3-requests
Requires:       python3-six >= 1.10.0
Requires:       python3-PyYAML >= 3.10

%description -n python3-%{sclient}
OpenStack senlin client


%package -n python3-%{sclient}-tests-unit
Summary:        OpenStack senlin client unit tests
Requires:       python3-%{sclient} = %{version}-%{release}

Requires:       python3-fixtures
Requires:       python3-mox3
Requires:       python3-oslo-log
Requires:       python3-oslo-serialization
Requires:       python3-pbr
Requires:       python3-setuptools
Requires:       python3-subunit
Requires:       python3-stestr
Requires:       python3-testtools
Requires:       python3-mock


%description -n python3-%{sclient}-tests-unit
OpenStack senlin client unit tests

This package contains the senlin client unit test files.

%endif # with_python3

%prep
%autosetup -n %{client}-%{upstream_version} -S git

# Let's handle dependencies ourseleves
%py_req_cleanup

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%if 0%{?with_doc}
sphinx-build -b html doc/source doc/build/html
rm -rf doc/build/html/.{doctrees,buildinfo}

%endif

%install

%if 0%{?with_python3}
%py3_install
%endif
%py2_install

%check
#%{__python} setup.py testr
#FIXME: temporarily blacklist broken unit test
# https://review.rdoproject.org/r/#/c/8381/
ostestr -p --black-regex test_do_add_profiler_args

%files -n python-%{sclient}
%license LICENSE
%doc README.rst
%{python_sitelib}/%{sclient}
%{python_sitelib}/*.egg-info
%exclude %{python_sitelib}/%{sclient}/tests

%files -n python-%{sclient}-tests-unit
%{python_sitelib}/%{sclient}/tests

%if 0%{?with_doc}
%files -n python-%{sclient}-doc
%license LICENSE
%doc doc/build/html
%endif

%if 0%{?with_python3}
%files -n python3-%{sclient}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{sclient}
%{python3_sitelib}/*.egg-info
%exclude %{python3_sitelib}/%{sclient}/tests

%files -n python3-%{sclient}-tests-unit
%{python3_sitelib}/%{sclient}/tests
%endif # with_python3

%changelog
* Tue Aug 21 2018 RDO <dev@lists.rdoproject.org> 1.8.0-1
- Update to 1.8.0

